org.eclipse.mat.report

## Class SectionSpec

- java.lang.Object
- - org.eclipse.mat.report.Spec
  - - org.eclipse.mat.report.SectionSpec

All Implemented Interfaces:
  IResult

Direct Known Subclasses:
  ThreadInfoQuery.Result

    public class SectionSpec
    extends Spec

A container for multiple results. The results are merged if possible.

### Constructor Summary

Constructors
Constructor and Description
`SectionSpec()` Deprecated.
`SectionSpec(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Spec child)`
`List<Spec>` `getChildren()`
`ITestResult.Status` `getStatus()`
`void` `merge(Spec otherSpec)` Merge with another Spec.
`void` `setStatus(ITestResult.Status status)`

### Methods inherited from class org.eclipse.mat.report.Spec

`getName, getParams, getResultMetaData, getTemplate, putAll, set, setName, setTemplate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SectionSpec

    @Deprecated
    public SectionSpec()

Deprecated.

#### SectionSpec

    public SectionSpec(String name)

### Method Detail

#### getStatus

    public ITestResult.Status getStatus()

#### setStatus

    public void setStatus(ITestResult.Status status)

#### getChildren

    public List<Spec> getChildren()

#### add

    public void add(Spec child)

#### merge

    public void merge(Spec otherSpec)

Description copied from class: `Spec`
Merge with another Spec. Combine the parameters and choose the other name if this has none.

Overrides:
  `merge` in class `Spec`
Parameters:
  `otherSpec` - the other Spec